/*
 *   This file is part of the fbdvd program
     Copyright (C) 1996,97 Marcus Metzler (mocm@thp.uni-koeln.de)

     many changes by Gerd Knorr <kraxel@goldbach.in-berlin.de>
         [ hmm, think by now nearly nothing left from the original code ... ]
     26-July-2001 changed by Mark Sanderson

     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <unistd.h>
#include <linux/fb.h>

#define FB_ACTIVE    0
#define FB_REL_REQ   1
#define FB_INACTIVE  2
#define FB_ACQ_REQ   3

/* info about videomode - yes I know, quick & dirty... */
extern struct fb_fix_screeninfo   fb_fix;
extern struct fb_var_screeninfo   fb_var;
extern unsigned char             *fb_mem;
extern int			  fb_mem_offset;
extern int                        fb_switch_state;

/* init + cleanup */
int  fb_init(char *device, char *font, char *mode, int vt);
void fb_cleanup(void);
void fb_cleanup_fork(void);

/* print text - x,y are in char res */
int fb_puts(int x, int y, char *text);
void fb_memset(void *addr, int c, size_t len);
void (*fb_setpixels)(int pos, int colour);


/* console switching */
int  fb_switch_init(void (*switch_func)(int acquire));
void fb_switch_ack();

int fb_getkey();
